-- Author: VertexFloat
-- Date: 22.11.2021
-- Version: Farming Simulator 22, 1.0.0.0
-- Copyright (C): VertexFloat, All Rights Reserved
-- Register WatchOutForTheStraw specialization

g_specializationManager:addSpecialization('WatchOutForTheStraw', 'WatchOutForTheStraw', Utils.getFilename('src/vehicles/specializations/WatchOutForTheStraw.lua', g_currentModDirectory), true, nil)

for vehicleName, vehicleType in pairs(g_vehicleTypeManager.types) do
	if SpecializationUtil.hasSpecialization(Cutter, vehicleType.specializations) then
		g_vehicleTypeManager:addSpecialization(vehicleName, 'WatchOutForTheStraw')
	end
 end